<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/AreaDamage/AreaDamageRegularDeferred.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/de4/_area_damage_regular_deferred_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AreaDamageRegularDeferred.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/de4/_area_damage_regular_deferred_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">// DEPRECATED: Left for backwards compatibility with mods</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d1/d7e/class_area_damage_regular.html">    2</a></span><span class="keyword">class </span>AreaDamageRegularDeferred <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d7e/class_area_damage_regular.html">AreaDamageRegular</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{   </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d1/d7e/class_area_damage_regular.html#a2c8a9eb5d4b7f2735677543a15f0e32d">    4</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d7e/class_area_damage_regular.html#a2c8a9eb5d4b7f2735677543a15f0e32d">AreaDamageRegularDeferred</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    {</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    }</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d1/d7e/class_area_damage_regular.html#a96d8abb2096e2a6e71e1bff52437f776">    9</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d7e/class_area_damage_regular.html#a96d8abb2096e2a6e71e1bff52437f776">~AreaDamageRegularDeferred</a>() {}</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d1/d7e/class_area_damage_regular.html#ab39b726387e85b0cf4a87b3fd3077c17">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d7e/class_area_damage_regular.html#ab39b726387e85b0cf4a87b3fd3077c17">SetLoopInterval</a>(<span class="keywordtype">float</span> time)</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        m_LoopInterval = time;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d1/d7e/class_area_damage_regular.html#a3157f132fee1f004466ac5ad904e852f">   16</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d7e/class_area_damage_regular.html#a3157f132fee1f004466ac5ad904e852f">SetDeferDuration</a>(<span class="keywordtype">float</span> time)</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../dc/d58/_area_damage_once_8c.html#a1c07f4a981f0dc0987c784da307af367">m_DeferDuration</a> = time;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d1/d7e/class_area_damage_regular.html#ad14b46209a8bb37ec34677e154b29d56">   21</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d7e/class_area_damage_regular.html#ad14b46209a8bb37ec34677e154b29d56">SetHitZones</a>( <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> hitzones )</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        m_HitZones = hitzones;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d1/d7e/class_area_damage_regular.html#a30cee8b8771160e3d015fd715cd48fa8">   26</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d7e/class_area_damage_regular.html#a30cee8b8771160e3d015fd715cd48fa8">OnEnterServer</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> <span class="keywordtype">object</span>)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        super.OnEnterServer(<span class="keywordtype">object</span>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        EvaluateDamage_DeferLoop(<span class="keywordtype">object</span>);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>}</div>
<div class="ttc" id="a_area_damage_once_8c_html_a1c07f4a981f0dc0987c784da307af367"><div class="ttname"><a href="../../dc/d58/_area_damage_once_8c.html#a1c07f4a981f0dc0987c784da307af367">m_DeferDuration</a></div><div class="ttdeci">AreaDamageOnce m_DeferDuration</div><div class="ttdoc">Time the damage should be deferred in seconds.</div></div>
<div class="ttc" id="aclass_area_damage_regular_html"><div class="ttname"><a href="../../d1/d7e/class_area_damage_regular.html">AreaDamageRegular</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/de4/_area_damage_regular_deferred_8c_source.html#l00002">AreaDamageRegularDeferred.c:3</a></div></div>
<div class="ttc" id="aclass_area_damage_regular_html_a2c8a9eb5d4b7f2735677543a15f0e32d"><div class="ttname"><a href="../../d1/d7e/class_area_damage_regular.html#a2c8a9eb5d4b7f2735677543a15f0e32d">AreaDamageRegular::AreaDamageRegularDeferred</a></div><div class="ttdeci">void AreaDamageRegularDeferred(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/de4/_area_damage_regular_deferred_8c_source.html#l00004">AreaDamageRegularDeferred.c:4</a></div></div>
<div class="ttc" id="aclass_area_damage_regular_html_a30cee8b8771160e3d015fd715cd48fa8"><div class="ttname"><a href="../../d1/d7e/class_area_damage_regular.html#a30cee8b8771160e3d015fd715cd48fa8">AreaDamageRegular::OnEnterServer</a></div><div class="ttdeci">override void OnEnterServer(Object object)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/de4/_area_damage_regular_deferred_8c_source.html#l00026">AreaDamageRegularDeferred.c:26</a></div></div>
<div class="ttc" id="aclass_area_damage_regular_html_a3157f132fee1f004466ac5ad904e852f"><div class="ttname"><a href="../../d1/d7e/class_area_damage_regular.html#a3157f132fee1f004466ac5ad904e852f">AreaDamageRegular::SetDeferDuration</a></div><div class="ttdeci">override void SetDeferDuration(float time)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/de4/_area_damage_regular_deferred_8c_source.html#l00016">AreaDamageRegularDeferred.c:16</a></div></div>
<div class="ttc" id="aclass_area_damage_regular_html_a96d8abb2096e2a6e71e1bff52437f776"><div class="ttname"><a href="../../d1/d7e/class_area_damage_regular.html#a96d8abb2096e2a6e71e1bff52437f776">AreaDamageRegular::~AreaDamageRegularDeferred</a></div><div class="ttdeci">void ~AreaDamageRegularDeferred()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/de4/_area_damage_regular_deferred_8c_source.html#l00009">AreaDamageRegularDeferred.c:9</a></div></div>
<div class="ttc" id="aclass_area_damage_regular_html_ab39b726387e85b0cf4a87b3fd3077c17"><div class="ttname"><a href="../../d1/d7e/class_area_damage_regular.html#ab39b726387e85b0cf4a87b3fd3077c17">AreaDamageRegular::SetLoopInterval</a></div><div class="ttdeci">override void SetLoopInterval(float time)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/de4/_area_damage_regular_deferred_8c_source.html#l00011">AreaDamageRegularDeferred.c:11</a></div></div>
<div class="ttc" id="aclass_area_damage_regular_html_ad14b46209a8bb37ec34677e154b29d56"><div class="ttname"><a href="../../d1/d7e/class_area_damage_regular.html#ad14b46209a8bb37ec34677e154b29d56">AreaDamageRegular::SetHitZones</a></div><div class="ttdeci">override void SetHitZones(array&lt; string &gt; hitzones)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/de4/_area_damage_regular_deferred_8c_source.html#l00021">AreaDamageRegularDeferred.c:21</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_2a972ea0fe0c16b391e52022fc76328f.html">AreaDamage</a></li><li class="navelem"><a class="el" href="../../de/de4/_area_damage_regular_deferred_8c.html">AreaDamageRegularDeferred.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
